Bug 1286393 - [abrt] gnupg: build_privkey_template(): gpg killed by SIGABRT
[abrt] gnupg: build_privkey_template(): gpg killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnupg (Show other bugs)
25
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a5f5bc98f1aaeb01257fd9b0e5b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-28 17:50 EST by Eric Renfro
Modified: 2017-12-12 06:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:10:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.15 KB, text/plain)
2015-11-28 17:50 EST, Eric Renfro
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-28 17:50 EST, Eric Renfro
no flags Details
File: core_backtrace (2.95 KB, text/plain)
2015-11-28 17:50 EST, Eric Renfro
no flags Details
File: dso_list (2.05 KB, text/plain)
2015-11-28 17:50 EST, Eric Renfro
no flags Details
File: environ (3.70 KB, text/plain)
2015-11-28 17:50 EST, Eric Renfro
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-28 17:50 EST, Eric Renfro
no flags Details
File: maps (10.01 KB, text/plain)
2015-11-28 17:50 EST, Eric Renfro
no flags Details
File: mountinfo (3.34 KB, text/plain)
2015-11-28 17:50 EST, Eric Renfro
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-28 17:50 EST, Eric Renfro
no flags Details
File: open_fds (1.08 KB, text/plain)
2015-11-28 17:50 EST, Eric Renfro
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-11-28 17:50 EST, Eric Renfro
no flags Details
File: var_log_messages (291 bytes, text/plain)
2015-11-28 17:50 EST, Eric Renfro
no flags Details

  None (edit)
Description Eric Renfro 2015-11-28 17:50:03 EST
Description of problem:
I tried to move my secret key I just generated in gpg to my Yubikey 4 smartcard device using keytocard in gpg while editing the key.

Version-Release number of selected component:
gnupg-1.4.19-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gpg --openpgp --edit-key AC4E98D2
crash_function: build_privkey_template
executable:     /usr/bin/gpg
global_pid:     2842
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #4 build_privkey_template at app-openpgp.c:2271
 #5 do_writekey at app-openpgp.c:2689
 #6 agent_scd_writekey at cardglue.c:1167
 #7 save_unprotected_key_to_card at keygen.c:3935
 #8 card_store_subkey at card-util.c:1620
 #9 keyedit_menu at keyedit.c:1899
Comment 1 Eric Renfro 2015-11-28 17:50:08 EST
Created attachment 1100017 [details]
File: backtrace
Comment 2 Eric Renfro 2015-11-28 17:50:09 EST
Created attachment 1100018 [details]
File: cgroup
Comment 3 Eric Renfro 2015-11-28 17:50:10 EST
Created attachment 1100019 [details]
File: core_backtrace
Comment 4 Eric Renfro 2015-11-28 17:50:12 EST
Created attachment 1100020 [details]
File: dso_list
Comment 5 Eric Renfro 2015-11-28 17:50:13 EST
Created attachment 1100021 [details]
File: environ
Comment 6 Eric Renfro 2015-11-28 17:50:14 EST
Created attachment 1100022 [details]
File: limits
Comment 7 Eric Renfro 2015-11-28 17:50:16 EST
Created attachment 1100023 [details]
File: maps
Comment 8 Eric Renfro 2015-11-28 17:50:17 EST
Created attachment 1100024 [details]
File: mountinfo
Comment 9 Eric Renfro 2015-11-28 17:50:18 EST
Created attachment 1100025 [details]
File: namespaces
Comment 10 Eric Renfro 2015-11-28 17:50:20 EST
Created attachment 1100026 [details]
File: open_fds
Comment 11 Eric Renfro 2015-11-28 17:50:21 EST
Created attachment 1100027 [details]
File: proc_pid_status
Comment 12 Eric Renfro 2015-11-28 17:50:22 EST
Created attachment 1100028 [details]
File: var_log_messages
Comment 13 Brian Lane 2015-11-30 14:33:27 EST
Thanks for the report, can you file an upstream bug at https://bugs.g10code.com/gnupg/ or do you want me to? (They're likely to ask questions about your setup that I can't answer).

I'd also recommend trashing that key, it looks like the backtrace contains at least parts of the private key.
Comment 14 Baptiste Mille-Mathias 2016-10-05 22:18:03 EDT
Having the same issue on Fedora 25, I've opened a bug as required previously 
https://bugs.gnupg.org/gnupg/issue2738
Comment 15 Fedora End Of Life 2017-11-16 09:43:24 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2017-12-12 06:10:08 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.